<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header_group.inc.php";
require_once($c_node['dir']['class_path'] . 'Forum.class.php');


//ACS check
if (!$group_acs->checkPermission($c_acs['arr_acs']['resource']['group_forum'], $c_acs['arr_acs']['privilege']['allow_edit'])) { //resourece_id, Priv_id
	header("Location: g_group.php?group_id=" . $group_id."&".SID);
	exit;
}


//setup forum
$forum = new Forum($db, $c_acs['arr_section']['group'], $date, $file);
$forum->section_item_id = $group_id;
$forum->user_id = $user_id;

//process requests
if (isset($_POST['insert_topic'])) {
	
	$forum->insertTopic($data);
	
	if (empty($GLOBALS['am_error_log'])) {
		return header("Location: g_forum_topic_edit.php?group_id=". $group_id . "&" . SID);
		exit;
	}

}
elseif (isset($_POST['edit_topic'])) {
	
	$forum->updateTopic($data);
	
	if (empty($GLOBALS['am_error_log'])) {
		return header("Location: g_forum_topic_edit.php?group_id=". $group_id . "&" . SID);
		exit;
	}

}


if (isset($_REQUEST['topic_id'])) {
	$forum->topic_id = $_REQUEST['topic_id'];
	
	$output_topic = $forum->getTopic();
}

$output_topics = $forum->getTopics();


//move to template
if (!empty($output_group)) {
	$body->set('group', $output_group);
}

if (!empty($output_topics)) {
	$body->set('topics', $output_topics);
}

if (!empty($output_topic)) {
	$body->set('topic', $output_topic);
}

if (!empty($display)) {
	$body->set('display', $display);
}

include "inc/footer.inc.php";

?>
